module SeqSim.Model exposing (Model, Msg(..), Flags, begin)

type alias Model =
    { programs : List String
    , variables : String
    , selected : Maybe Int
    }

type Msg 
    = ChangeProgram Int String
    | AddProgram
    | DeleteProgram Int
    | ChangeVariables String
    | SelectOutcome Int

type alias Flags = ()

begin : Model
begin = { programs = ["A=1", "R1=A\nB=1", "R2=B\nR3=A" ], variables = "R1, R2, R3", selected = Nothing }
